services:
  mercure:
    image: dunglas/mercure
    container_name: sunshine-mercure
    restart: unless-stopped
    ports:
      - "3000:80"
    environment:
      SERVER_NAME: ":80"
      MERCURE_PUBLISHER_JWT_KEY: "61be34c2c6980153f86c227279f4473d2ade6b464218a426c8e86c4eded21f63"
      MERCURE_SUBSCRIBER_JWT_KEY: "61be34c2c6980153f86c227279f4473d2ade6b464218a426c8e86c4eded21f63"
      MERCURE_EXTRA_DIRECTIVES: |
        cors_origins http://127.0.0.1 http://localhost
        anonymous 0
    command: /usr/bin/caddy run --config /etc/caddy/Caddyfile
